%define lib_name_orig libalsa
%define major 2
%define lib_name %mklibname alsa %major
%define beta 0
%if %beta
%define fname alsa-lib-%{version}%beta
%else
%define fname alsa-lib-%{version}
%endif

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		libalsa2
Version:	1.0.27.2
%if %beta
Release:	%mkrel 0.%{beta}.3
%else
Release:	%mkrel 3
%endif
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{fname}.tar.bz2
Source1:	README.soundprofiles
License:	LGPLv2+
Epoch:		2
Url:		http://www.alsa-project.org/
Group:		Sound/Utilities
BuildRequires:	doxygen python-devel
# keep the list below in sync with the lib_name package
Provides:	alsa-lib = %epoch:%version-%release
Provides:	%lib_name_orig = %epoch:%version-%release
Obsoletes:	alsa-lib < %epoch:%version-%release
Obsoletes:	%lib_name_orig < %epoch:%version-%release
Requires:	%{lib_name_orig}-data

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.

%if "%{_lib}" != "lib"
%package -n %{lib_name}
Summary:	Advanced Linux Sound Architecture (ALSA) library
Group:		Sound/Utilities
Provides:	alsa-lib = %epoch:%version-%release
Provides:	%lib_name_orig = %epoch:%version-%release
Obsoletes:	alsa-lib < %epoch:%version-%release
Obsoletes:	%lib_name_orig < %epoch:%version-%release
Requires:	%{lib_name_orig}-data
Suggests:	%{_lib}alsa-plugins

%description -n %{lib_name}
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.
%endif

%define alt_name soundprofile
%define alt_priority 10

%package -n %{lib_name_orig}-data
Summary:    Config files for Advanced Linux Sound Architecture (ALSA)
Group:      Sound/Utilities
Requires:   %lib_name = %epoch:%version
Requires(post): update-alternatives
Requires(postun): update-alternatives

%description -n %{lib_name_orig}-data
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains config files by ALSA applications.

%post -n %{lib_name_orig}-data
%{_sbindir}/update-alternatives \
  --install %{_sysconfdir}/sound/profiles/current %{alt_name} %{_sysconfdir}/sound/profiles/alsa %{alt_priority}

%postun -n %{lib_name_orig}-data
if [ ! -f %{_sysconfdir}/sound/profiles/alsa/profile.conf ]; then
  /usr/sbin/update-alternatives --remove %{alt_name} %{_sysconfdir}/sound/profiles/alsa
fi

%package -n %{lib_name}-devel
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Provides:   libalsa1-devel = %epoch:%version-%release
Provides:   alsa-lib-devel = %epoch:%version-%release
Provides:   %lib_name_orig-devel = %epoch:%version-%release
Obsoletes:   libalsa1-devel < %epoch:%version-%release
Obsoletes:   alsa-lib-devel < %epoch:%version-%release
Obsoletes:   %lib_name_orig-devel < %epoch:%version-%release
# (cg) As of 1.0.25 you cannot build static and shared together...
# so lets just obsolete the static-devel
Obsoletes:  %{lib_name}-static-devel < 2:1.0.25

%description -n %{lib_name}-devel
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package docs
Summary:    Documentation for Advanced Linux Sound Architecture (ALSA)
Group:      Documentation
Requires:   alsa-lib = %epoch:%version
BuildArch:  noarch

%description docs
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

The Advanced Linux Sound Architecture comes with a kernel API and library API.
This document describes the library API and how it interfaces with the kernel
API. Application programmers should use the library API rather than kernel API.

The Library offers 100% of the functionally of the kernel API, but add next
major improvements in usability, making the application code simpler and better
looking.

This package contains the documentation that describe tha ALSA lib API.

%prep
%setup -q -n %fname
%apply_patches

%build
autoreconf -if
%configure2_5x --enable-shared --enable-python
# Force definition of -DPIC so that VERSIONED_SYMBOLS are used
# FIXME: alsa people should not depend on PIC to determine a DSO build...
perl -pi -e 's,(^pic_flag=.+)(-fPIC),\1-DPIC \2,' libtool

%make
%make -C doc doc

%install
rm -rf %{buildroot}
%makeinstall_std

# (cg) For sound profile support
mkdir -p %{buildroot}%{_sysconfdir}/sound/profiles/alsa
echo "SOUNDPROFILE=alsa" >%{buildroot}%{_sysconfdir}/sound/profiles/alsa/profile.conf
echo "# This file is left blank to allow alsa to default to dmix" >%{buildroot}%{_sysconfdir}/sound/profiles/alsa/alsa-default.conf
install -m 644 %SOURCE1 %{buildroot}%{_sysconfdir}/sound/profiles/README
ln -s %{_sysconfdir}/sound/profiles/current/alsa-default.conf %{buildroot}%{_datadir}/alsa/alsa.conf.d/99-default.conf

# (blino) not very useful, Debian also dropped it (Debian bugs #290735, #285320)
rm -f %{buildroot}%_bindir/aserver

rm -f %{buildroot}%{_libdir}/alsa-lib/smixer/*.la
rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{lib_name_orig}-data
%defattr(-, root, root)
%doc COPYING
%dir %{_sysconfdir}/sound/profiles
%dir %{_sysconfdir}/sound/profiles/alsa
%{_sysconfdir}/sound/profiles/README
%{_sysconfdir}/sound/profiles/alsa/profile.conf
%{_sysconfdir}/sound/profiles/alsa/alsa-default.conf
%dir %_datadir/alsa/
%dir %_datadir/alsa/alsa.conf.d/
%dir %_datadir/alsa/cards/
%dir %_datadir/alsa/pcm/
%_datadir/alsa/alsa.conf.d/*
%_datadir/alsa/cards/*
%_datadir/alsa/pcm/*
%_datadir/alsa/alsa.conf
%_datadir/alsa/smixer.conf
%_datadir/alsa/sndo-mixer.alisp
%_datadir/alsa/ucm

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING 
%_libdir/*.so.%{major}*
%dir %_libdir/alsa-lib
%dir %_libdir/alsa-lib/smixer/
%_libdir/alsa-lib/smixer/*

%files docs
%defattr(-,root,root)
%doc COPYING doc/doxygen/html/* doc/asoundrc.txt

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%dir %_includedir/alsa/
%_includedir/alsa/*
%_includedir/sys/asoundlib.h
%_datadir/aclocal/alsa.m4
%_libdir/*.so
%_libdir/pkgconfig/*.pc


%changelog
* Mon Jan 06 2014 tv <tv> 2:1.0.27.2-3.mga4
+ Revision: 565169
- do not suggests libalsa-plugins anymore (debloat, mga#8455)

* Mon Dec 16 2013 blino <blino> 2:1.0.27.2-2.mga4
+ Revision: 557537
- alsa-plugins should be suggested for x86_64 too

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Tue Jul 09 2013 fwang <fwang> 2:1.0.27.2-1.mga4
+ Revision: 451599
- new version 1.0.27.2

* Fri May 24 2013 tv <tv> 2:1.0.27.1-1.mga4
+ Revision: 426504
- adjust file list
- drop merged patches
- new release

* Wed Jan 30 2013 colin <colin> 2:1.0.26-7.mga3
+ Revision: 393540
- Add an upstream fix for some UCM related issue.

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Add missing include in pcm.h

* Fri Jan 11 2013 cjw <cjw> 2:1.0.26-6.mga3
+ Revision: 347559
- patch2: fix building against alsalib with new glibc

* Sat Jan 05 2013 cjw <cjw> 2:1.0.26-5.mga3
+ Revision: 339240
- patch1: fix build with automake 1.13

* Tue Oct 16 2012 malo <malo> 2:1.0.26-4.mga3
+ Revision: 307327
- update RPM group for Documentation

* Mon Oct 08 2012 blino <blino> 2:1.0.26-3.mga3
+ Revision: 303551
- use Sound/Utilities rpm group
- drop aserver from devel package, not very useful and breaks bi-arch install of devel packages

* Tue Sep 11 2012 fwang <fwang> 2:1.0.26-2.mga3
+ Revision: 292166
- requires virtual name

* Fri Sep 07 2012 fwang <fwang> 2:1.0.26-1.mga3
+ Revision: 289092
- New version 1.0.26
- drop upstream patches

* Sat Apr 07 2012 fwang <fwang> 2:1.0.25-3.mga2
+ Revision: 229476
- cleanup provides and obsoletes

* Thu Mar 15 2012 colin <colin> 2:1.0.25-2.mga2
+ Revision: 223548
- Add upstream patches (cosmetic+penum over-application fix)
- Remove old patch files

* Wed Jan 25 2012 colin <colin> 2:1.0.25-1.mga2
+ Revision: 201522
- New version: 1.0.25
- Dropped static library (upstream no longer support shared+static builds)

* Mon Jan 23 2012 dmorgan <dmorgan> 2:1.0.24.1-7.mga2
+ Revision: 200149
- Own %%_libdir/alsa-lib

  + colin <colin>
    - Revert previous change (the link is correct - something else is wrong). mga#2966

  + eatdirt <eatdirt>
    - Fix wrong link to alsa-default.conf (BUG 2966)

* Mon Sep 19 2011 colin <colin> 2:1.0.24.1-6.mga2
+ Revision: 145632
- Fix sound on the non-PA profile.

* Sat Sep 17 2011 colin <colin> 2:1.0.24.1-5.mga2
+ Revision: 144501
- Use an upstream submitted patch for more flexible config without patching

* Thu Sep 15 2011 fwang <fwang> 2:1.0.24.1-4.mga2
+ Revision: 143769
- drop .la files

* Tue Apr 26 2011 colin <colin> 2:1.0.24.1-3.mga1
+ Revision: 91704
- Various upstream cherry-picks for increased compatibility (esp. with PA)

* Thu Mar 24 2011 boklm <boklm> 2:1.0.24.1-2.mga1
+ Revision: 76162
- rebuild for bug #497

* Tue Mar 08 2011 ahmad <ahmad> 2:1.0.24.1-1.mga1
+ Revision: 66340
- update to 1.0.24.1
- drop the patches that were merged upstream
- don't run autoreconf, not needed AFAICS
- fix license

* Mon Jan 17 2011 blino <blino> 2:1.0.23-9.mga1
+ Revision: 21221
- rebuild with new python

* Sun Jan 09 2011 ahmad <ahmad> 2:1.0.23-8.mga1
+ Revision: 1574
- imported package libalsa2


* Sat Nov 13 2010 Anssi Hannula <anssi@mandriva.org> 2:1.0.23-8mdv2011.0
+ Revision: 597366
- backport fixes from git master
  o fix some minor memleaks
  o present all HDMI outputs on HDA Intel hardware
  o fix namehint skipping certain devices

* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 2:1.0.23-7mdv2011.0
+ Revision: 590265
- rebuild for py 2.7

* Sat Oct 16 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.23-6mdv2011.0
+ Revision: 586043
- Revised patch for compensating for TLV min-is-mute flag

* Fri Oct 08 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.23-5mdv2011.0
+ Revision: 584255
- Add a fix for converting to dB then the h/w has a min-is-mute quirk (fixes some PulseAudio issues relating to mute when hitting e.g. 16%%)

* Mon Aug 30 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.23-4mdv2011.0
+ Revision: 574353
- Cherry-pick a typo fix for one of the previous patches.

* Tue Aug 24 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.23-3mdv2011.0
+ Revision: 572590
- Fix race condition related to snd_config_update_free_global() thread safety (mdv#59052, bko#232068, alsa#2124 + many others)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - ditch *.a & *.la for smixer
    - ditch backwards compatible scriptlets for no longer supported releases
    - ensure clean buildroot at beginning of %%install

* Tue Apr 27 2010 Christophe Fergeau <cfergeau@mandriva.com> 2:1.0.23-2mdv2010.1
+ Revision: 539610
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sat Apr 17 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.23-1mdv2010.1
+ Revision: 535802
- New version: 1.0.23
- Drop upstream patches

* Sun Feb 28 2010 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.22-3mdv2010.1
+ Revision: 512815
- Add some patches from master to fix recording and some distortion with S24_3LE samples

* Mon Dec 21 2009 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.22-2mdv2010.1
+ Revision: 480575
- Backport official ALSA patch for the timer close fd leak

* Sun Dec 20 2009 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.22-1mdv2010.1
+ Revision: 480500
- Add upstream/Ubuntu patch to properly closer timers when freeing slaves
- Use standard %%make and remove some no longer needed install code.

  + Thierry Vignaud <tv@mandriva.org>
    - new release

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 2:1.0.21a-1mdv2010.0
+ Revision: 435320
- new release

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 2:1.0.21-1mdv2010.0
+ Revision: 422989
- new release

* Mon Aug 31 2009 Thierry Vignaud <tv@mandriva.org> 2:1.0.20-3mdv2010.0
+ Revision: 422977
- new release

* Sun Aug 16 2009 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.20-2mdv2010.0
+ Revision: 416921
- Fix copy+paste filelist typo
- Add soundprofile support for pure alsa sound system (i.e. no pulseaudio)

* Mon May 11 2009 Thierry Vignaud <tv@mandriva.org> 2:1.0.20-1mdv2010.0
+ Revision: 374784
- new release

* Fri Feb 20 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.0.19-1mdv2009.1
+ Revision: 343072
- Updated to version 1.0.19
  * dropped alsa-lib-1.0.18-fix-softvol-access-refine.patch (merged)

* Mon Feb 09 2009 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2:1.0.18-4mdv2009.1
+ Revision: 338934
- Added fix to softvol issue from alsa-lib upstream (fixes for example
  speaker-test hang in some cases).

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 2:1.0.18-3mdv2009.1
+ Revision: 319313
- fix str fmt
- rebuild for new python

* Wed Oct 29 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.18-1mdv2009.1
+ Revision: 298678
- Final version: 1.0.18

* Wed Sep 10 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.18-0.rc3.1mdv2009.0
+ Revision: 283540
- New release candidate: 1.0.18rc3

* Sun Aug 24 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.17a-1mdv2009.0
+ Revision: 275468
- Drop upstream patches
- New version 1.0.17a

* Wed Jul 23 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.17-2mdv2009.0
+ Revision: 242055
- Some upstream fixes relating to rewind() calls needed for newer PA

* Wed Jul 16 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.17-1mdv2009.0
+ Revision: 236495
- New version: 1.0.17

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.17-0.rc2.1mdv2009.0
+ Revision: 219551
- new release

* Mon Jun 09 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.17-0.rc1.1mdv2009.0
+ Revision: 217218
- new release

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Mar 25 2008 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.16-2mdv2008.1
+ Revision: 190086
- Also include the "pulse" device alsa config as it is not loaded automatically.

* Wed Feb 06 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.16-1mdv2008.1
+ Revision: 163054
- new release

* Tue Jan 29 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.16-0.rc2.1mdv2008.1
+ Revision: 159893
- new release

* Mon Jan 21 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.16-0.rc1.1mdv2008.1
+ Revision: 155915
- new release

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-6mdv2008.1
+ Revision: 152816
- remove useless kernel require

* Fri Dec 28 2007 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.15-5mdv2008.1
+ Revision: 138870
- Patch2 (HG): fix ioplug period update (Alsa bug #2601)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 05 2007 Frederic Crozat <fcrozat@mandriva.com> 2:1.0.15-4mdv2008.1
+ Revision: 115677
- Patch1 (Fedora): add hook to /etc/alsa/alsa.conf to auto-enable pulseaudio alsa plugin when its package is installed

* Mon Oct 22 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-3mdv2008.1
+ Revision: 101274
- patch 0: prevents some deadlock when a couple of applications interact and one
  of them closes the device and later re-opens it
- use %%mklibname (cosmetic)

* Wed Oct 17 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-2mdv2008.1
+ Revision: 99660
- suggests the proper plugins depending on the actual arch

* Tue Oct 16 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-1mdv2008.1
+ Revision: 98941
- new release

* Mon Oct 08 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-0.rc3.4mdv2008.1
+ Revision: 95745
- new release

* Wed Sep 19 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-0.rc1.4mdv2008.0
+ Revision: 91110
- patch 3: update PC-Speaker.conf in order to use softvol
- stop overwiting PC-Speaker.conf with an old version

* Mon Sep 17 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-0.rc1.3mdv2008.0
+ Revision: 89357
- the dmix and dsnoop plugins need a fixed substream number instead of the
  next-available one (-1) as the default number
- suggests alsa-plugins

* Mon Sep 03 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.15-0.rc1.1mdv2008.0
+ Revision: 78500
- new release

* Wed Aug 22 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.14a-3mdv2008.0
+ Revision: 68982
- patch 0: add a .conf file to enable dmix/dsnoop and softvol for CMI8788, which
  helps mask the bug that all audio is forced to 48 kHz

* Sat Jun 23 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 2:1.0.14a-2mdv2008.0
+ Revision: 43492
- add PC-Speaker.conf

* Mon Jun 18 2007 Colin Guthrie <cguthrie@mandriva.org> 2:1.0.14a-1mdv2008.0
+ Revision: 40976
- New Release 1.0.14a (our patches have been accepted upstream)
- Fix the loading of ALSA Plugins due to configure.in typo.

  + Thierry Vignaud <tv@mandriva.org>
    - new release
    - fix installing

* Thu May 03 2007 Thierry Vignaud <tv@mandriva.org> 2:1.0.14-2.rc4.3mdv2008.0
+ Revision: 21684
- package new file
- new release


* Thu Mar 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.14-2.rc3.2mdv2007.1
+ Revision: 138273
- add protection if the major ever changed
- new release

* Tue Feb 13 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14-2.rc2.2mdv2007.1
+ Revision: 120416
- really bump release
- bump release
- install USB-Audio.conf
- add a configuration file for USB audio devices: enable dmix-ing and proper 5.1 routing for USB audio devices

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.14-1.rc2.2mdv2007.1
+ Revision: 112012
- new release

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 2:1.0.13-1mdv2007.0
+ Revision: 71803
- Import libalsa2

* Tue Oct 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.13-1mdv2007.1
- new release

* Thu Aug 24 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-2mdv2007.0
- new release

* Sat Aug 05 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.12-1.rc2.2mdv2007.0
- new release
- clean spec

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.12rc1-1mdv2007.0
- new release
- drop patches (applied upstream)

* Thu May 18 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-3mdk
- drop kernel require

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-2mdk
- patch 5: fix segfault with dshare plugin
- patch 6: use O_APPEND mode with dmix & co (no more resource server)
- patch 7: fix hwptr update in rate plugin (bad sounds on rate expansion and
  invalid memory access)

* Thu May 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.11-1mdk
- new release
- kill patches 0, 1, 2, 3 & 4 (merged upstream)

* Thu Feb 09 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-6mdk
- patch 4: plug some memory leaks

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-5mdk
- patch 3: use dmix/dsnoop as default PCM for ICE1712

* Wed Dec 14 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-4mdk
- patch 2: use dmix/dsnoop as default PCM for ICE1724
- really apply patches 0 & 1

* Wed Nov 23 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-3mdk
- patch 1: fix segfault of iec958 plugin with preamble

* Mon Nov 21 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-2mdk
- patch 0: fix hanging in some rare case

* Tue Nov 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-1mdk
- new release

* Fri Nov 04 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc3.1mdk
- new release

* Thu Nov 03 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0.10-0.rc2.1mdk
- new release

* Sat May 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-1mdk
- new release

* Tue May 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc4.1mdk
- new release
- kill patch 0 (merged upstream)

* Wed May 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.3mdk
- patch 0:
  o add API for device name
  o fix the drain of dmix plugin without any data
  o fix the blocking during draining in dmix plugin due to ioctl conflicts
  o fix the partial commit in draining with rate plugin
  o fix playback start with sync_ptr mode
  o fix the possible problems of playback drain with rate plugin
  o misc other fixes

* Thu May 12 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.2mdk
- build release

* Tue May 10 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc3.1mdk
- new release
- kill patches 15 & 18 (merged upstream)

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.3mdk
- fix release number

* Wed Apr 27 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.2mdkmdk
- patch 15: more fixes for CPU hog (eg: artsd)

* Sat Apr 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.9-0.1rc2.1mdkmdk
- new release
- remove patches 0, 1, 2, 4, 5, 6, 7, 9, 10, 11, 12, 13, 16 & 17 (merged upstream)
- patch 15:
  o try even harder to prevent artsd to bug
  o merge in patch 14
- patch 18: fix segfault with old kernels

* Fri Apr 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-15mdk
- patch 15: try harder to prevent artsd to bug
- disable patches 13, 14 & 15 since artsd still break from times to times
- patch 16: fix segfault while recording on Audigy LS

* Wed Mar 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-14mdk
- patch 1: use dmix/dsnoop plugins as default for emu10k1x too
- patch 14: new version that fix noise with dmix on SMP/HT systems with i8xx
  (#13400, alsa bug #881)
- patch 15: fix artsd eating all CPU power on i865
- patch 16: fix noise when resampling sound (ALSA bug #1018)
- patch 17: fix dmix's endianess on ppc & co (#14958)

* Fri Mar 25 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-13mdk
- disable patch 14 since it triger artsd bugs on i865

* Thu Mar 24 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-12mdk
- patch 9: fix rear/center_lfe subdevice mismatch on Aureon71 (Envy24HT)
- patch 10: fix AC3 output on SB Audigy LS / Live 24bit
- patch 11: add support for CMI8768 chip with 8 multi-channel
- patch 12: fix SPDIF device number on Intel HD Audio (Azalia)
- patch 13: use softvol plugin for default PCM for C-Media codecs on VIA823[37]
- patch 14: fix noise with dmix on SMP/HT systems with i8xx (#13400)

* Wed Mar 23 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-11mdk
- add missing dependency to "%%{_lib}" != "lib" packages

* Mon Mar 21 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-10mdk
- use %%if "%%{_lib}" != "lib" instead of ifarch (GB)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-9mdk
- fix files (spturtle)

* Sun Mar 20 2005 Stefan van der Eijk <stefan@eijk.nu> 1:1.0.8-8mdk
- don't use %%lib_name macro in name --> src.rpm confusion
- use the macromdv2007.1

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-7mdk
- patch 7: fix xine crash (#13045, #13449)

* Wed Feb 16 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-6mdk
- patch 5: fix rear PCM (mono output) on emu10k1
- patch 6: fix routing of 5.1 output on ICH4

* Mon Feb 14 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-5mdk
- patch 4: fix statck protection patch

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-4mdk
- patch 2: fix compil warning (fedora)
- patch 4: stack protection (CAN-2005-0087) (fedora)

* Tue Feb 01 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-3mdk
- patch 1: use dmix by default

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-2mdk
- patch 0: fix memleak

* Thu Jan 13 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-1mdk
- new release

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.2mdk
- rpmlint cleanups

* Wed Jan 05 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc2.1mdk
- new release

* Mon Dec 27 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.8-0.rc1.2mdk
- fix missing epoch in requires

* Wed Dec 22 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.8-0.rc1.1mdk
- new release

* Fri Nov 19 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.7-1mdk
- new release

* Tue Aug 17 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Thu Jul 08 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-2mdk
- Force definition of -DPIC so that VERSIONED_SYMBOLS are used. aka
  fix alsa dependent packages (arts, etc.). Anyway, alsa people should
  not rely on this variable to determine a DSO build.

* Sat May 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Tue Apr 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Sat Apr 03 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_2mdk
- fix forgotten changelog

* Fri Apr 02 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

